<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package isha
 */

get_header();
?>
<!-- News Area -->
    <section class="newsblog archive single section">
        <div class="container">

            <div class="row <?php if( get_theme_mod('isha_blog_single_layout_settings') == 'left' ):  echo esc_attr__( 'flex-row-reverse', 'isha' );  endif; ?> text-justify ">
				<?php if ( is_active_sidebar( 'sidebar-1' ) ) { ?>

					<div class="<?php if(get_theme_mod('isha_blog_single_layout_settings') == 'none'): echo  esc_attr__( 'col-lg-12 none', 'isha' ); else: echo esc_attr__( 'col-lg-9', 'isha' ); endif;?> col-12">
						<!-- Single News -->
						<?php
							while ( have_posts() ) :
							the_post();

							get_template_part( 'template-parts/content', 'page' );

							?>
							<div class ="clearfix"> </div>
							<div class="row">			
								<div class="col-12">			
									<?php		
									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;

									endwhile; // End of the loop.
									?>
								</div>
							</div>
						<!-- End Single News -->
						
					</div>
					<?php if(get_theme_mod('isha_blog_single_layout_settings') != 'none'):?>
						<div class="col-lg-3 col-12 ">
						<?php if ( !is_front_page() ): ?>
							<div class="sidebar-main">
								<?php get_sidebar();?>
							</div>
						<?php elseif ( is_front_page() ): ?>
							<div class="sidebar-main">
								<aside id="Primary-sidebar" class="widget-area">
									<?php dynamic_sidebar( 'sidebar-2' ); ?>
								</aside><!-- #secondary -->
							</div>
						<?php endif ?>
					</div>
					<?php endif;
				} ?> 
				<?php if ( ! is_active_sidebar( 'sidebar-1' ) ) { ?>
					<div class="col-lg-12 col-12 none">
						<!-- Single News -->
						<?php
							while ( have_posts() ) :
							the_post();

							get_template_part( 'template-parts/content', 'page' );

							?>
							<div class =" mt-5 mb-5">
								<?php
								// Previous/next post navigation.
								the_post_navigation( array(
									'next_text' =>  __( 'Next post', 'isha' ),
									'prev_text' =>  __( 'Previous post', 'isha' )
								) );
								?>
							</div>
							<div class ="clearfix"> </div>
							<div class="row">			
								<div class="col-12">			
									<?php		
									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;

									endwhile; // End of the loop.
									?>
								</div>
							</div>
						<!-- End Single News -->
					</div>
				<?php } ?> 

            </div>
        </div>
    </section>
    <!--/ End News Area -->

<?php
get_footer();
